1. Core Resources
VLTZ PAY
  • API Reference
    • Getting Started
      • Create a hosted checkout session
      • Get payment status
    • Core Resources
      • Create a direct payment
        POST
      • List application transactions
        GET
      • Get transaction dashboard summary
        GET
      • Get an application transaction
        GET
      • List application payment activity
        GET
    • Schemas
      • CheckoutRequest
      • CreatePaymentRequest
      • PaymentRequestBase
      • CardDetails
      • PaymentMethodCode
      • BillingDetails
      • CheckoutBilling
      • LineItem
      • PaymentMetadata
      • CheckoutResponse
      • CreatePaymentResponseEnvelope
      • CreatePaymentResponse
      • ProviderCheckout
      • ProviderResult
      • PaymentRecord
      • PaymentStatus
      • ResolvedPaymentMethod
      • PaymentStatusResponseEnvelope
      • Transaction
      • TransactionResponseEnvelope
      • TransactionListResponseEnvelope
      • TransactionSummaryResponseEnvelope
      • CurrencySummary
      • DailySummary
      • ActivityLogListResponseEnvelope
      • ActivityLog
      • PaymentStatusCallback
      • ErrorEnvelope
  1. Core Resources

Create a direct payment

POST
https://api-vltzpay.beespokedev.com/api/v1.0/payments
Submits a payment to the payment provider assigned to the application. The response can contain a redirect URL or QR image URL that the customer must complete. Only send raw card data when your integration and provider configuration are PCI compliant.

Callbacks

paymentStatusUpdated

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Payment request accepted by the provider.
Bodyapplication/json

🟠422
🔴500
🟠400ValidationError
🟠404InvalidApplication
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-vltzpay.beespokedev.com/api/v1.0/payments' \
--header 'Content-Type: application/json' \
--data-raw '{
    "appKey": "app_your_provisioned_key",
    "reference": "order_01J7Y9KZM2KCG6TAVQT4G31PW7",
    "amount": 1499.5,
    "currency": "PHP",
    "method": "gcash",
    "description": "VLTZ Pro subscription",
    "successUrl": "https://merchant.example/payments/success",
    "cancelUrl": "https://merchant.example/payments/cancelled",
    "failedUrl": "https://merchant.example/payments/failed",
    "callbackUri": "https://merchant.example/api/payment-events",
    "billing": {
        "firstName": "Juan",
        "lastName": "Dela Cruz",
        "email": "juan@example.com"
    }
}'
Response Response Example
200 - Success
{
    "success": true,
    "response": {
        "payment": {
            "id": 42,
            "internalReference": "order_01J7Y9KZM2KCG6TAVQT4G31PW7",
            "providerReference": "provider_payment_123",
            "amount": "1499.50",
            "currency": "PHP",
            "status": "REQUIRES_ACTION",
            "paymentMethod": "GCASH",
            "items": [],
            "failureReason": null
        },
        "checkout": {
            "redirectUrl": "https://provider.example/checkout/session_123"
        },
        "provider": {
            "code": "XENDIT",
            "status": "REQUIRES_ACTION",
            "message": "Customer action is required."
        }
    }
}
Modified at 2026-07-30 05:27:11
Previous
Get payment status
Next
List application transactions
Built with